# OpalTemporalSpatialTradeOff Class Reference

`#include <vidcodec.h>`

Inheritance diagram for OpalTemporalSpatialTradeOff:

[legend]
Collaboration diagram for OpalTemporalSpatialTradeOff:
[legend]

## Public Types

| MaximiseSpatial = 0
| MaximiseTemporal = 31
enum | { MaximiseSpatial = 0, MaximiseTemporal = 31 }

## Public Member Functions

| OpalTemporalSpatialTradeOff (int tradeoff)
virtual PString | GetName () const
unsigned | GetTradeOff () const

## Protected Attributes

unsigned | m_tradeOff

## Detailed Description

This is an indication to the video encoder to change the way it is to encode the video stream.

The trade off integer is a value that trade spatial quality (blocky-ness) for temporal quality (frame rate). A value of zero will maximise spatial quality, sacrificing frame rate and a value of 31 will maximize frame rate and sacrifice

## Member Enumeration Documentation

anonymous enum

Enumerator:

  MaximiseSpatial |
  MaximiseTemporal |

## Constructor & Destructor Documentation

OpalTemporalSpatialTradeOff::OpalTemporalSpatialTradeOff | ( | int | tradeoff | ) | `[inline]`

## Member Function Documentation

virtual PString OpalTemporalSpatialTradeOff::GetName | ( |  | ) | const`[virtual]`

Get the name of the command.

Implements OpalMediaCommand.

unsigned OpalTemporalSpatialTradeOff::GetTradeOff | ( |  | ) | const`[inline]`

## Field Documentation

unsigned OpalTemporalSpatialTradeOff::m_tradeOff `[protected]`

The documentation for this class was generated from the following file:

- vidcodec.h